Bug 1311739 - visiting Content -> Puppet Modules and then a modules Content Views page gives error
Summary: visiting Content -> Puppet Modules and then a modules Content Views page give...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Justin Sherrill
QA Contact: jcallaha
URL: http://projects.theforeman.org/issues...
Whiteboard:
Keywords: Triaged
: 1352555 1361662 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-24 20:58 UTC by Tom McKay
Modified: 2019-06-13 21:25 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-08-16 07:10:26 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1615 normal SHIPPED_LIVE Satellite 6.2.1 bug fix update 2016-08-16 11:09:48 UTC
Foreman Issue Tracker 13224 None None None 2016-04-22 15:49 UTC

Description Tom McKay 2016-02-24 20:58:40 UTC
To reproduce: sync puppet forge, visit Puppet Modules UI page, select a module, visit that module's Content Views tab in the UI

<pre>
2016-02-18T17:22:51 [app] [E] PG::Error: ERROR:  syntax error at or near "SELECT"
 | LINE 1: ...ND (katello_content_view_puppet_environments.id = SELECT "ka...
 |                                                              ^
 | 
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activerecord-4.1.14.1/lib/active_record/connection_adapters/postgresql_adapter.rb:869:in `prepare'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activerecord-4.1.14.1/lib/active_record/connection_adapters/postgresql_adapter.rb:869:in `prepare_statement'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activerecord-4.1.14.1/lib/active_record/connection_adapters/postgresql_adapter.rb:826:in `exec_cache'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activerecord-4.1.14.1/lib/active_record/connection_adapters/postgresql/database_statements.rb:138:in `exec_query'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activerecord-4.1.14.1/lib/active_record/connection_adapters/postgresql_adapter.rb:954:in `select'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activerecord-4.1.14.1/lib/active_record/connection_adapters/abstract/database_statements.rb:24:in `select_all'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activerecord-4.1.14.1/lib/active_record/connection_adapters/abstract/query_cache.rb:68:in `block in select_all'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activerecord-4.1.14.1/lib/active_record/connection_adapters/abstract/query_cache.rb:83:in `cache_sql'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activerecord-4.1.14.1/lib/active_record/connection_adapters/abstract/query_cache.rb:68:in `select_all'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activerecord-4.1.14.1/lib/active_record/relation/calculations.rb:265:in `execute_simple_calculation'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activerecord-4.1.14.1/lib/active_record/relation/calculations.rb:227:in `perform_calculation'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activerecord-4.1.14.1/lib/active_record/relation/calculations.rb:119:in `calculate'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activerecord-4.1.14.1/lib/active_record/relation/calculations.rb:34:in `count'
 | /home/vagrant/code/katello/app/controllers/katello/api/v2/api_controller.rb:53:in `scoped_search'
 | /home/vagrant/code/katello/app/controllers/katello/api/v2/content_view_versions_controller.rb:25:in `index'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-4.1.14.1/lib/action_controller/metal/implicit_render.rb:4:in `send_action'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-4.1.14.1/lib/abstract_controller/base.rb:189:in `process_action'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-4.1.14.1/lib/action_controller/metal/rendering.rb:10:in `process_action'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-4.1.14.1/lib/abstract_controller/callbacks.rb:20:in `block in process_action'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:113:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:113:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:552:in `block (2 levels) in compile'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:502:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:502:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:495:in `block (2 levels) in around'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:306:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:306:in `block (2 levels) in halting'
 | /home/vagrant/code/foreman/app/controllers/api/v2/base_controller.rb:152:in `disable_json_root'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:429:in `block in make_lambda'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:305:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:305:in `block in halting'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:494:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:494:in `block in around'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:502:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:502:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:495:in `block (2 levels) in around'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:306:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:306:in `block (2 levels) in halting'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/rails-observers-0.1.2/lib/rails/observers/action_controller/caching/sweeping.rb:73:in `around'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:452:in `public_send'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:452:in `block in make_lambda'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:305:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:305:in `block in halting'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:494:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:494:in `block in around'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:502:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:502:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:495:in `block (2 levels) in around'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:306:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:306:in `block (2 levels) in halting'
 | /home/vagrant/code/foreman/app/controllers/concerns/application_shared.rb:13:in `set_timezone'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:429:in `block in make_lambda'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:305:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:305:in `block in halting'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:494:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:494:in `block in around'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:502:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:502:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:495:in `block (2 levels) in around'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:306:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:306:in `block (2 levels) in halting'
 | /home/vagrant/code/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:429:in `block in make_lambda'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:305:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:305:in `block in halting'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:494:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:494:in `block in around'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:502:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:502:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:495:in `block (2 levels) in around'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:306:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:306:in `block (2 levels) in halting'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/rails-observers-0.1.2/lib/rails/observers/action_controller/caching/sweeping.rb:73:in `around'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:452:in `public_send'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:452:in `block in make_lambda'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:305:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:305:in `block in halting'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:494:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:494:in `block in around'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:502:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:502:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:86:in `run_callbacks'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-4.1.14.1/lib/abstract_controller/callbacks.rb:19:in `process_action'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-4.1.14.1/lib/action_controller/metal/rescue.rb:29:in `process_action'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-4.1.14.1/lib/action_controller/metal/instrumentation.rb:32:in `block in process_action'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/notifications.rb:159:in `block in instrument'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/notifications/instrumenter.rb:20:in `instrument'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/notifications.rb:159:in `instrument'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-4.1.14.1/lib/action_controller/metal/instrumentation.rb:30:in `process_action'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-4.1.14.1/lib/action_controller/metal/params_wrapper.rb:250:in `process_action'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activerecord-4.1.14.1/lib/active_record/railties/controller_runtime.rb:18:in `process_action'
 | /home/vagrant/code/katello/app/controllers/katello/concerns/api/api_controller.rb:39:in `process_action'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-4.1.14.1/lib/abstract_controller/base.rb:136:in `process'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/actionview-4.1.14.1/lib/action_view/rendering.rb:30:in `process'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-4.1.14.1/lib/action_controller/metal.rb:196:in `dispatch'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-4.1.14.1/lib/action_controller/metal/rack_delegation.rb:13:in `dispatch'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-4.1.14.1/lib/action_controller/metal.rb:232:in `block in action'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-4.1.14.1/lib/action_dispatch/routing/route_set.rb:80:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-4.1.14.1/lib/action_dispatch/routing/route_set.rb:80:in `dispatch'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-4.1.14.1/lib/action_dispatch/routing/route_set.rb:48:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-4.1.14.1/lib/action_dispatch/routing/mapper.rb:45:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-4.1.14.1/lib/action_dispatch/journey/router.rb:73:in `block in call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-4.1.14.1/lib/action_dispatch/journey/router.rb:59:in `each'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-4.1.14.1/lib/action_dispatch/journey/router.rb:59:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-4.1.14.1/lib/action_dispatch/routing/route_set.rb:690:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/railties-4.1.14.1/lib/rails/engine.rb:514:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/railties-4.1.14.1/lib/rails/railtie.rb:194:in `public_send'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/railties-4.1.14.1/lib/rails/railtie.rb:194:in `method_missing'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-4.1.14.1/lib/action_dispatch/journey/router.rb:73:in `block in call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-4.1.14.1/lib/action_dispatch/journey/router.rb:59:in `each'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-4.1.14.1/lib/action_dispatch/journey/router.rb:59:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-4.1.14.1/lib/action_dispatch/routing/route_set.rb:690:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-4.1.14.1/lib/action_dispatch/middleware/static.rb:84:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-4.1.14.1/lib/action_dispatch/middleware/static.rb:84:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-4.1.14.1/lib/action_dispatch/middleware/static.rb:84:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/apipie-rails-0.3.5/lib/apipie/static_dispatcher.rb:65:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/bullet-5.0.0/lib/bullet/rack.rb:12:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/apipie-rails-0.3.5/lib/apipie/extractor/recorder.rb:132:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-4.1.14.1/lib/action_dispatch/middleware/static.rb:84:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/apipie-rails-0.3.5/lib/apipie/middleware/checksum_in_headers.rb:27:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/rack-openid-1.4.2/lib/rack/openid.rb:98:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.5.5/lib/rack/etag.rb:23:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.5.5/lib/rack/conditionalget.rb:25:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.5.5/lib/rack/head.rb:11:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-4.1.14.1/lib/action_dispatch/middleware/params_parser.rb:27:in `call'
 | /home/vagrant/code/foreman/lib/middleware/catch_json_parse_errors.rb:9:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-4.1.14.1/lib/action_dispatch/middleware/flash.rb:254:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.5.5/lib/rack/session/abstract/id.rb:225:in `context'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.5.5/lib/rack/session/abstract/id.rb:220:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-4.1.14.1/lib/action_dispatch/middleware/cookies.rb:562:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activerecord-4.1.14.1/lib/active_record/query_cache.rb:36:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activerecord-4.1.14.1/lib/active_record/connection_adapters/abstract/connection_pool.rb:621:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activerecord-4.1.14.1/lib/active_record/migration.rb:380:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-4.1.14.1/lib/action_dispatch/middleware/callbacks.rb:29:in `block in call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/callbacks.rb:82:in `run_callbacks'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-4.1.14.1/lib/action_dispatch/middleware/callbacks.rb:27:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-4.1.14.1/lib/action_dispatch/middleware/reloader.rb:73:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-4.1.14.1/lib/action_dispatch/middleware/remote_ip.rb:76:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-4.1.14.1/lib/action_dispatch/middleware/debug_exceptions.rb:17:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-4.1.14.1/lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/railties-4.1.14.1/lib/rails/rack/logger.rb:38:in `call_app'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/railties-4.1.14.1/lib/rails/rack/logger.rb:22:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/quiet_assets-1.1.0/lib/quiet_assets.rb:27:in `call_with_quiet_assets'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-4.1.14.1/lib/action_dispatch/middleware/request_id.rb:21:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.5.5/lib/rack/methodoverride.rb:21:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.5.5/lib/rack/runtime.rb:17:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/activesupport-4.1.14.1/lib/active_support/cache/strategy/local_cache_middleware.rb:26:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.5.5/lib/rack/lock.rb:17:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/actionpack-4.1.14.1/lib/action_dispatch/middleware/static.rb:84:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.5.5/lib/rack/sendfile.rb:112:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/railties-4.1.14.1/lib/rails/engine.rb:514:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/railties-4.1.14.1/lib/rails/application.rb:144:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/railties-4.1.14.1/lib/rails/railtie.rb:194:in `public_send'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/railties-4.1.14.1/lib/rails/railtie.rb:194:in `method_missing'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.5.5/lib/rack/urlmap.rb:65:in `block in call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.5.5/lib/rack/urlmap.rb:50:in `each'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.5.5/lib/rack/urlmap.rb:50:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.5.5/lib/rack/builder.rb:138:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.5.5/lib/rack/urlmap.rb:65:in `block in call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.5.5/lib/rack/urlmap.rb:50:in `each'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.5.5/lib/rack/urlmap.rb:50:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/rack-1.5.5/lib/rack/content_length.rb:14:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/puma-2.16.0/lib/puma/server.rb:557:in `handle_request'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/puma-2.16.0/lib/puma/server.rb:404:in `process_client'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/puma-2.16.0/lib/puma/server.rb:270:in `block in run'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/puma-2.16.0/lib/puma/thread_pool.rb:106:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/puma-2.16.0/lib/puma/thread_pool.rb:106:in `block in spawn_thread'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/logging-2.0.0/lib/logging/diagnostic_context.rb:448:in `call'
 | /home/vagrant/.rvm/gems/ruby-1.9.3-p448/gems/logging-2.0.0/lib/logging/diagnostic_context.rb:448:in `block in create_with_logging_context'
2016-02-18T17:22:51 [app] [I] Completed 500 Internal Server Error in 60ms (Views: 0.6ms | ActiveRecord: 1.4ms)

</pre>

Comment 1 Tom McKay 2016-02-24 20:58:41 UTC
Created from redmine issue http://projects.theforeman.org/issues/13800

Comment 3 Bryan Kearney 2016-03-24 15:29:57 UTC
Connecting redmine issue http://projects.theforeman.org/issues/13224 from this bug

Comment 4 Bryan Kearney 2016-03-24 16:02:21 UTC
Upstream bug component is API

Comment 5 Bryan Kearney 2016-06-23 02:11:41 UTC
Upstream bug assigned to jsherril@redhat.com

Comment 6 Bryan Kearney 2016-07-05 16:12:04 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/13224 has been closed

Comment 7 Brad Buckingham 2016-07-06 13:54:28 UTC
*** Bug 1352555 has been marked as a duplicate of this bug. ***

Comment 8 Brad Buckingham 2016-07-29 16:59:48 UTC
*** Bug 1361662 has been marked as a duplicate of this bug. ***

Comment 9 jcallaha 2016-08-04 18:52:18 UTC
Verified in Satellite 6.2.1

Navigating from Puppet modules page to content views no longer gives an error. Interestingly enough, navigating from Content Views to Configure -> Environments does result in a 404. Will file a separate issue for that.

Comment 11 errata-xmlrpc 2016-08-16 07:10:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1615


Note You need to log in before you can comment on or make changes to this bug.